For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
      • GETGet credit notes
      • POSTCreate a credit note
      • POSTUpload a credit note from a file
      • GETGet credit note validations
      • PUTUpdate credit note validations
      • POSTReset credit note validations
      • GETGet a credit note by ID
      • DELDelete a credit note
      • PATCHUpdate a credit note
      • POSTApprove a credit note
      • POSTCancel a credit note
      • POSTCancel OCR of a credit note
      • GETGet all line items of a credit note
      • POSTAdd a new line item to a credit note
      • PUTReplace all line items of a credit note
      • GETGet a single line item of a credit note
      • DELDelete a line item from a credit note
      • PATCHUpdate a line item of a credit note
      • POSTReject a credit note
      • POSTSubmit a credit note for approval
      • GETValidate a credit note
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts payableCredit notes

Add a new line item to a credit note

POST
/payable_credit_notes/:credit_note_id/line_items
POST
/v1/payable_credit_notes/:credit_note_id/line_items
$curl -X POST https://api.sandbox.monite.com/v1/payable_credit_notes/credit_note_id/line_items \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": "123e4567-e89b-12d3-a456-426614174000",
3 "created_at": "2024-01-15T14:30:00Z",
4 "updated_at": "2024-01-15T14:30:00Z",
5 "credit_note_id": "123e4567-e89b-12d3-a456-426614174000",
6 "created_by_user_id": "123e4567-e89b-12d3-a456-426614174000",
7 "description": "Premium version of Product XYZ with extended warranty",
8 "name": "Product XYZ",
9 "quantity": 2,
10 "subtotal": 10000,
11 "tax": 20,
12 "tax_amount": 2000,
13 "total": 12000,
14 "unit": "pieces",
15 "unit_price": 5000
16}
Was this page helpful?
Previous

Replace all line items of a credit note

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

credit_note_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
descriptionstringOptional
Detailed description of the line item
namestringOptional
Name or title of the line item
quantitydoubleOptional>=0
Quantity of items
taxintegerOptional<=10000

VAT rate in percent minor units. Example: 12.5% is 1250.

unitstringOptional
Unit of measurement
unit_priceintegerOptional

Price per unit in smallest currency unit (e.g. cents)

Response

Successful Response
idstringformat: "uuid"
Unique identifier of the line item
created_atdatetime
Timestamp when the line item was created
updated_atdatetime
Timestamp when the line item was last updated
credit_note_idstringformat: "uuid"
ID of the parent credit note
created_by_user_idstringformat: "uuid"
ID of the user who created the line item
descriptionstring
Detailed description of the line item
namestring
Name or title of the line item
quantitydouble>=0
Quantity of items
subtotalinteger
Subtotal amount before tax
taxinteger>=0
Tax percentage
tax_amountinteger
Tax amount
totalinteger
Total amount including tax
unitstring
Unit of measurement
unit_priceinteger
Price per unit in smallest currency unit

Errors

401
Post Payable Credit Notes ID Line Items Request Unauthorized Error
403
Post Payable Credit Notes ID Line Items Request Forbidden Error
404
Post Payable Credit Notes ID Line Items Request Not Found Error
422
Post Payable Credit Notes ID Line Items Request Unprocessable Entity Error
429
Post Payable Credit Notes ID Line Items Request Too Many Requests Error